Contenu | Rechercher | Menus

Annonce

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 03/07/2024, à 16:50

neopbm

24.04 et kenel 5.15 possible ?

Bonjour,

Je possède actuellement une config DELL Inspiron 5400 AIO sous Ubuntu 22.04.4 LTS.

Avec cette machine, je suis "obligé" de rester sur le kernel 5.15 GA pour que tout fonctionne bien et continuer de bénéficier des MAJ de sécurité. En effet, avec les version 6.5 (linux-generic-hwe-22.04) du kernel, la possibilité de régler la luminosité de l'écran n'est plus fonctionnelle : Le curseur n'est plus affiché.
J'ai essayé les modifications (https://doc.ubuntu-fr.org/retro-eclairage) préconisées dans GRUB, ça n'a pas d'effets hélas

J'ai essayé, via un live USB, la dernière version 24.04 d'Ubuntu, et donc une version 6.8 du kernel : même problème.
Via l'application Mainline, j'ai testé sur mon système le kernel 6.9 : problème idem. Avec les versions 6.2 c'était OK.

D'après quelques recherches sur des pages US, le bug est connu et serait lié au module dell-uart-backlight des nouvelles versions (6.5 et plus) du kernel. Mais cela semble bien spécifiques aux configurations All-in-one...

Y a t'il à votre connaissance un moyen pour installer la version 24.04 d'Ubuntu avec le kernel 5.15 GA ?

En effet, j'ai bien envie d'essayer la dernière version du système mais :
ne pas pouvoir, même si ce n'est que de temps en temps ajuster le contraste de l'écran est gênant,
ne pas avoir les maj de sécurité kernel ne me semble pas très bon sur la durée.

Merci,
Bon après-midi

Dernière modification par neopbm (Le 03/07/2024, à 16:52)

Hors ligne

#2 Le 03/07/2024, à 18:47

tycooon

Re : 24.04 et kenel 5.15 possible ?

bonjour,
il existe un pilote dkms installable en deb ici
A tout hasard, je l'ai installé sur un vm. Il s'installe, à te dire que cela fonctionne difficile à dire, je n'ai pas ton model. Mais tu peux faire un essai. Au pire, tu le désinstalles.

dkms status
oem-backlight-dell-dell-uart-backlight-lp1811346-4.15/1.7.4: added

Hors ligne

#3 Le 03/07/2024, à 20:42

jplemoine

Re : 24.04 et kenel 5.15 possible ?

Éventuellement, faire un dual-boot version 22.04 et 24.04. Comme ça, si ça fonctionne, tu bascules en 24.04. Si ça ne fonctionne pas, tu restes en 22.04 et tu attends une mise à jour du noyau (kernel).


Membre de l'ALDIL (Association Lyonnaise pour le Développement de l'Informatique Libre)
- En pro, après 20 ans de développement, administrateur Linux / Unix depuis Avril 2019.
- En privé, sous Ubuntu-Xubuntu depuis 2009.

Hors ligne

#4 Le 03/07/2024, à 20:50

xubu1957

Re : 24.04 et kenel 5.15 possible ?


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#5 Le 03/07/2024, à 20:54

neopbm

Re : 24.04 et kenel 5.15 possible ?

tycooon a écrit :

bonjour,
il existe un pilote dkms installable en deb ici
A tout hasard, je l'ai installé sur un vm. Il s'installe, à te dire que cela fonctionne difficile à dire, je n'ai pas ton model. Mais tu peux faire un essai. Au pire, tu le désinstalles.

dkms status
oem-backlight-dell-dell-uart-backlight-lp1811346-4.15/1.7.4: added

Merci !
Je testerai à l'occasion

Hors ligne

#6 Le 03/07/2024, à 20:55

neopbm

Re : 24.04 et kenel 5.15 possible ?

jplemoine a écrit :

Éventuellement, faire un dual-boot version 22.04 et 24.04. Comme ça, si ça fonctionne, tu bascules en 24.04. Si ça ne fonctionne pas, tu restes en 22.04 et tu attends une mise à jour du noyau (kernel).

Effectivement c'est une bonne idée pour fonctionner en sécurité. Merci !

Hors ligne

#7 Le 03/07/2024, à 21:04

neopbm

Re : 24.04 et kenel 5.15 possible ?

Merci pour le lien, c'est celui que j'avais vu lors de mes recherches. J'ai contribué d'ailleurs sur le bug report créé par l'utilisateur dès fois que ça fasse remonter les choses aux personnes capables de trouver une solution pérenne .
J'espère qu'une maj pourra corriger le problème. Mais j'avoue que je suis hésitant puisqu'il est présent sur les branches 6.5 mais aussi 6.8 et 6.9.   

J'ai changé de matériel car mon précédent PC avait 8/9 ans mais j'avoue que Ubuntu gère hélas moins bien cette nouvelle (nouvelle pour moi je veux dire, la machine date de 2023) configuration. Je pensais être plus tranquille avec du DELL comme base...
Heureusement, ce forum permet de trouver des solutions ! Merci à tous pour le temps passé.

Hors ligne

#8 Le 12/07/2024, à 10:38

neopbm

Re : 24.04 et kenel 5.15 possible ?

tycooon a écrit :

bonjour,
il existe un pilote dkms installable en deb ici
A tout hasard, je l'ai installé sur un vm. Il s'installe, à te dire que cela fonctionne difficile à dire, je n'ai pas ton model. Mais tu peux faire un essai. Au pire, tu le désinstalles.

dkms status
oem-backlight-dell-dell-uart-backlight-lp1811346-4.15/1.7.4: added

Bonjour,

Je n'ai pas encore installé le .deb.
Cependant, une connaissance à qui j'ai parlé du problème que je rencontre m'indique après avoir regardé les fichiers sources .tar.xz dkms.conf qu'il est probable que ce driver soit obsolète pour le kernel 6.5 :

BUILD_EXCLUSIVE_KERNEL="4.15.*"
BUILT_MODULE_NAME[0]="dell-uart-backlight"
BUILT_MODULE_LOCATION[0]="./"
DEST_MODULE_LOCATION[0]="/updates"
OBSOLETE_BY="4.15.0-1069"

DISTRO=bionic
FORCE=yes
MODALIASES=yes
FIXPERMS=yes
REMAKE_INITRD=yes
AUTOINSTALL=yes 

Je n'ai pas les compétences pour analyser cela plus en détail et j'ai un peu peur, j'avoue, de rendre mon système inutilisable hé hé

Bonne journée !

Hors ligne

#9 Le 12/07/2024, à 10:45

xubu1957

Re : 24.04 et kenel 5.15 possible ?

Bonjour,

La version 22.04 LTS jammy a un support de 5 ans, sans aborder l'esm qui peut prolonger sa durée, de cinq années supplémentaires.


Conseils pour les nouveaux demandeurs et pas qu'eux
Important : Pensez à passer vos sujets en [Résolu] lorsque ceux-ci le sont, au début du titre en cliquant sur Modifier sous le premier message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.                   Membre de Linux-Azur

En ligne

#10 Le 12/07/2024, à 11:48

neopbm

Re : 24.04 et kenel 5.15 possible ?

Effectivement, j'ai bien un abonnement Ubuntu Pro donc aucune urgence en l'état. C'est juste que comme indiqué dans le 1er post j'avais parfois envie de tester la dernière version ;-)
J'ai désactivé la notification concernant la mise à niveau de l'OS comme ça je serai tranquille un moment.

Merci

Hors ligne